Environment State - Disable Environment

Disables the specified environment (Preview).

POST https://api.powerplatform.com/environmentmanagement/environments/{environmentId}/Disable?api-version=2024-10-01
POST https://api.powerplatform.com/environmentmanagement/environments/{environmentId}/Disable?ValidateOnly={ValidateOnly}&ValidateProperties={ValidateProperties}&api-version=2024-10-01

URI Parameters

Name In Required Type Description
environmentId
path True

string

The ID of Environment.

api-version
query True

string

The API version.

ValidateOnly
query

boolean

If true, validates the request without executing it.

ValidateProperties
query

string

Comma-separated property names to validate with ValidateOnly.

Request Body

Media Types: "application/json", "text/json", "application/*+json"

Name Type Description
reason

string

The reason of this state change.

Responses

Name Type Description
202 Accepted

Accepted

Media Types: "text/plain", "application/json", "text/json"

400 Bad Request

ValidationResponse

Bad Request

Media Types: "text/plain", "application/json", "text/json"

Security

oauth2

Microsoft Entra ID OAuth2

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com

Scopes

Name Description
.default .default

Definitions

Name Description
ErrorEntry

Represents the error detail for a single entry in an error dictionary.

ErrorInfo

Represents error information for an operation.

StateChangeRequest

Represents a request to change the state of an environment.

ValidationResponse

Represents the response for validation of an operation.

ErrorEntry

Represents the error detail for a single entry in an error dictionary.

Name Type Description
errorMessages

string[]

The error messages describing what is wrong.

suggestedValue

string

A suggested or accepted value that would resolve the error.

ErrorInfo

Represents error information for an operation.

Name Type Description
code

string

The error Code.

fieldErrors

<string,  ErrorEntry>

The detailed error.

StateChangeRequest

Represents a request to change the state of an environment.

Name Type Description
reason

string

The reason of this state change.

ValidationResponse

Represents the response for validation of an operation.

Name Type Description
errorDetail

ErrorInfo

Represents error information for an operation.